package biz.capitalware.mqfm.logging;

import org.apache.log4j.AppenderSkeleton;
import org.apache.log4j.spi.LoggingEvent;

/**
 * Sample custom appender for MQFM.
 * @author Roger Lacroix, Capitalware Inc.
 * @version 1.0
 * @license Apache 2 License
 */
public class CustomAppender extends AppenderSkeleton
{
   /**
    * 
    */
   protected void append(LoggingEvent loggingEvent)
   {
      System.out.println("CustomAppender: "+loggingEvent.getMessage());
   }

   /**
    * 
    */
   public boolean requiresLayout()
   {
      return false;
   }

   /**
    * 
    */
   public void close()
   {
   }
}