package biz.capitalware.mqfm.objects;

/**
 * This class holds the ? information.
 * @author Roger Lacroix, Capitalware Inc.
 * @version 1.0
 * @license Apache 2 License
 */
public class FieldOfAction
{
   public String  name = null;
   public String  type = null;
   public Object  value = null;

   /**
    * The constructor
    */
   public FieldOfAction()
   {
      super();
   }

   /**
    *  Retrieve the value as an int.
    * @return value
    */
   public int getValueInt()
   {
      return (Integer)value;
   }
   
   /**
    *  Retrieve the value as an String.
    * @return value
    */
   public String getValueString()
   {
      return (String)value;
   }
   
   /**
    *  Retrieve the value as an boolean.
    * @return value
    */
   public boolean getValueBoolean()
   {
      return (Boolean)value;
   }
   
   /**
    *  Retrieve the value as an char.
    * @return value
    */
   public char getValueCharacter()
   {
      return (Character)value;
   }
}
